<?php

/*
Plugin Name: WP Custom Site Icon Per Page
Plugin URI: https://jonbartlow.com/wp-custom-site-icon-per-page
Description: Sets a manual image to specific page ID for site icon
Version: 1.8.2
Author: Jon Bartlow
Author URI: https://jonbartlow.com
Text Domain: wp-custom-site-icon-per-page
*/

//Set up for 5Star365.com ONLY, do not use elsewhere.

//New function to change site icon urls on specific pages
function wp_custom_icon_favicon_per_page ($meta_tags){  
        
//Change icon url depending on page ID or use defeault set in customizer
switch(true){
    //Martin City Brewing Company
    case is_page(644) :
        $favicon_link_42 = 'https://5star365.com/wp-content/uploads/MCBC_SiteIcon_32.jpg';
        $favicon_link_300 = 'https://5star365.com/wp-content/uploads/MCBC_SiteIcon_270.jpg';
        break;
    //Love Coffee Club    
    case is_page(58212) :
        $favicon_link_42 = 'https://5star365.com/wp-content/uploads/LCC_SiteIcon_32.jpg';
        $favicon_link_300 = 'https://5star365.com/wp-content/uploads/LCC_SiteIcon_270.jpg';
        break;
    //Body After Birth
    case is_page(2736) :
        $favicon_link_42 = 'https://5star365.com/wp-content/uploads/BAB_SiteIcon_32.jpg';
        $favicon_link_300 = 'https://5star365.com/wp-content/uploads/BAB_SiteIcon_270.jpg';
        break;
    //Default icon set in customizer for all else
    default :
        $favicon_link_42 = get_site_icon_url(32);
        $favicon_link_300 = get_site_icon_url(300);
        break;
  }
    
    //Edit existing meta tags
    $meta_tags = array();
    $icon_32   = get_site_icon_url( 32 );
    if ( empty( $icon_32 ) && is_customize_preview() ) {
        $icon_32 = '/favicon.ico';
    }
    if ( $icon_32 ) {
    $meta_tags[0] = sprintf('<link rel="icon" href="%s" sizes="32x32" />',esc_url($favicon_link_42));
    }
    $icon_192 = get_site_icon_url( 192 );
    if ( $icon_192 ) {
    $meta_tags[1] = sprintf('<link rel="icon" href="%s" sizes="192x192" />',esc_url($favicon_link_300));
    }
    $icon_180 = get_site_icon_url( 180 );
    if ( $icon_180 ) {
    $meta_tags[2] = sprintf('<link rel="apple-touch-icon" href="%s" />',esc_url($favicon_link_300));
    }
    $icon_270 = get_site_icon_url( 270 );
    if ( $icon_270 ) {
    $meta_tags[3] = sprintf( '<meta name="msapplication-TileImage" content="%s" />',esc_url($favicon_link_300));
    }
    return $meta_tags;
}

add_filter ( 'site_icon_meta_tags', 'wp_custom_icon_favicon_per_page');

?>